package com.iver.cit.gvsig.gui.Panels;

import javax.swing.JPanel;

import com.iver.andami.PluginServices;
import com.iver.andami.ui.mdiManager.View;
import com.iver.andami.ui.mdiManager.ViewInfo;
import com.iver.cit.gvsig.gui.MapOverview;

public class MapOverViewPalette extends JPanel implements View{

	private MapOverview mov;

	public MapOverViewPalette(MapOverview mapOverView) {
		super();
		mov = mapOverView;
		initialize();
		this.add(mov);
	}


	/**
	 * This method initializes this
	 *
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setBackground(java.awt.SystemColor.control);
		this.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.gray,0));
	}

	public ViewInfo getViewInfo() {
		ViewInfo m_viewinfo = new ViewInfo(ViewInfo.ICONIFIABLE
				| ViewInfo.MODELESSDIALOG | ViewInfo.PALETTE);
		m_viewinfo.setTitle(PluginServices.getText(this, "localizador"));
		m_viewinfo.setWidth(mov.getWidth()+20);
		m_viewinfo.setHeight(mov.getHeight());

		return m_viewinfo;
	}

}
