package com.iver.cit.gvsig.fmap.drivers.jdbc;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.hardcode.gdbms.engine.data.driver.DriverException;
import com.hardcode.gdbms.engine.data.edition.DataWare;
import com.hardcode.gdbms.engine.values.Value;
import com.iver.cit.gvsig.fmap.core.IRow;
import com.iver.cit.gvsig.fmap.edition.EditionException;
import com.iver.cit.gvsig.fmap.edition.IRowEdited;
import com.iver.cit.gvsig.fmap.edition.writers.AbstractWriter;

public class JdbcWriter extends AbstractWriter {
	Connection conn;
	ResultSet rs;
	Value[] record;
	int numRecord;

	public JdbcWriter(){
	}
	public void initialize(Connection conn, ResultSet rs){
		this.conn = conn;
		this.rs = rs;
	}
	public void preProcess() throws EditionException {
			numRecord = 0;
	}

	public void process(IRowEdited editedRow) throws EditionException {
		IRow row = (IRow) editedRow.getLinkedRow();

		// try {
			/* System.out.println("Intento escribir el registro " +
					numRows + " de la capa " + lyrVect.getName()); */
			// TODO: HACERLO BIEN TODO ESTO
/* 
			switch (editedRow.getStatus())
			{
    		case IRowEdited.STATUS_ADDED:
    			record=row.getAttributes();
    			break;
    		case IRowEdited.STATUS_MODIFIED:
    			record=row.getAttributes();
    			for (int i=0; i < record.length; i++)
    				rs.updateValue(numRecord, i, record[i]); 
    			break;
    		case IRowEdited.STATUS_ORIGINAL:
    			break;
    		case IRowEdited.STATUS_DELETED:
    			rs.absolute(editedRow.getIndex());
        		rs.deleteRow();
    			break;
			}
			numRecord++;
			rs.next();

		} catch (DriverException e) {
			throw new EditionException(e);
		} */

	}

	public void postProcess() throws EditionException {
		try {
			conn.commit();
		} catch (SQLException e) {
			e.printStackTrace();
			throw new EditionException(e);
		}
	}

	public boolean canWriteAttribute(int sqlType) {
		return true;
	}

	public String getName() {
		return "JDBC Writer";
	}
	public void setFlatness(double flatness) {
		// TODO Auto-generated method stub
		
	}

}
