package org.gvsig.rasterTools.brightnessContrast.ui;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JLabel;

public class CheckSliderText extends SliderTextPanel implements ActionListener{
	
	public JLabel lName = null;
	public JCheckBox cSliderText = null;
	
	/**
	 * Constructor
	 *
	 */
	
	public CheckSliderText(){
		GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
		gridBagConstraints1.insets = new Insets(0,0,0,0);
		super.getJPanel().add(getJCheckBox());
		super.getJPanel().add(getLName(), gridBagConstraints1);
		this.getJCheckBox().addActionListener(this);
		if(cSliderText.isSelected() == false){
			super.setControlEnabled(false);
			lName.setEnabled(false);
		}
	}
	/**
	 * Inicializa cSliderText
	 * @return
	 */
	private JCheckBox getJCheckBox(){
		if(cSliderText == null){
			cSliderText = new JCheckBox();
		}
		return cSliderText;
	}
	
	public JLabel getLName(){
		if(lName == null){
			lName = new JLabel();
			lName.setText("Nombre");
			lName.setPreferredSize(new java.awt.Dimension(150,15));
			lName.setSize(150, 15);
		}
		return lName;
	}
	
	public void setName(String name){
		lName.setText(name);
	}
	
	public void setControlEnabled(boolean active){
		this.cSliderText.setEnabled(active);
		this.lName.setEnabled(active);
		super.setControlEnabled(active);
		if(cSliderText.isSelected() == false){
			super.setControlEnabled(false);
			this.lName.setEnabled(false);
		}
		
	}
	
	public boolean isSelected(){
		return this.getJCheckBox().isSelected();
	}
	
	public void actionPerformed(ActionEvent e) {
		super.actionPerformed(e);
		if (e.getSource() == getJCheckBox()){
			this.lName.setEnabled(getJCheckBox().isSelected());
			super.setControlEnabled(getJCheckBox().isSelected());
		}
	}

	public void setSelected(boolean value){
		this.getJCheckBox().setSelected(value);
	}
	
}
