package com.iver.cit.gvsig.fmap.edition;

import java.util.Properties;

import com.hardcode.driverManager.Driver;
import com.iver.cit.gvsig.fmap.drivers.ITableDefinition;

public interface IWriter extends Driver{
	void preProcess() throws EditionException;

	/**
	 * Aqu dentro se puede hacer el chequeo de las reglas asignadas para que
	 * antes de guardar algo, se compruebe que es correcto. Aunque lo ideal
	 * sera haberlo hecho antes, para que lo que se guarde est corregido al
	 * mximo.
	 */
	void process(IRowEdited row) throws EditionException;

	void postProcess() throws EditionException;

	public String getCapability(String capability);
	/**
	 * @param capabilities The capabilities to set.
	 */
	public void setCapabilities(Properties capabilities);


	public abstract boolean canWriteAttribute(int sqlType);

	void setFlatness(double flatness);

	// TODO: Quizs sea necesario algo como esto
	// public void initialize(ITableDefinition tableDefinition);



}
