package org.gvsig.rasterTools.histogram.filter;

import org.cresques.io.raster.RasterFilter;

/**
 * Clase base para los filtros de histograma.
 * @author Miguel ngel Querol Carratal  <querol_mig@gva.es>
 * 
 */

public abstract class HistogramFilter extends RasterFilter {
	
	/**
	 * Alto de la imagen
	 */
	protected int 				imgHeight = 0;
	
	/**
	 * Ancho de la imagen
	 */
	protected int 				imgWidth = 0;
	
	/**
	 * Nmero de bandas de la imagen sin contar RGB
	 */
	protected int				nBands = 0;
	
	/**
	 * Constructor
	 *
	 */
	public HistogramFilter(){
		super();
	}
	
	
	public void pre(){
		
	}
}
