package org.gvsig.rasterTools.saveRaster.ui.info;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import com.iver.andami.PluginServices;
import com.iver.andami.ui.mdiManager.View;
import com.iver.andami.ui.mdiManager.ViewInfo;
import com.iver.cit.gvsig.gui.FOpenDialog;

public class EndInfoDialog extends EndInfoPanel implements View, ActionListener{
	
	/**
	 * Contructor 
	 * @param mapCtrl			MapControl
	 * @param layers			Capas a rasterizar
	 * @param currentProjection	Proyeccin 
	 * @param dimension			Dimensin del marco en pixeles
	 * @param ext				Extend de las capas a rasterizar
	 */
	public EndInfoDialog(	){
		super();
		this.setSize(492, 140);
		this.getBAccept().addActionListener(this);
		this.setTranslation();
	}
	
	/**
	 * Asigna los textos a los paneles en el idioma seleccionado
	 */	
	private void setTranslation(){
		this.getLFileNameTag().setText(PluginServices.getText(this,"file")+":");
		this.getLSizeTag().setText(PluginServices.getText(this,"size")+":");
		this.getLTimeTag().setText(PluginServices.getText(this,"time")+":");
		this.getLCompressTag().setText(PluginServices.getText(this,"compress")+":");
	}
			
	/**
	 * @see com.iver.mdiApp.ui.MDIManager.View#getViewInfo()
	 */
	public ViewInfo getViewInfo() {
		ViewInfo m_viewinfo=new ViewInfo(ViewInfo.MODALDIALOG);
    		m_viewinfo.setTitle(PluginServices.getText(this, "endinfo"));
		return m_viewinfo;
	}

	public void actionPerformed(ActionEvent e) {
		PluginServices.getMDIManager().closeView(this);
	}
}


