package com.iver.cit.gvsig.fmap.drivers.geotools;

import java.io.IOException;
import java.net.URL;

import org.xml.sax.SAXException;

/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
/* CVS MESSAGES:
 *
 * $Id: WFSDataStore.java,v 1.2 2006/05/23 13:21:12 jorpiell Exp $
 * $Log: WFSDataStore.java,v $
 * Revision 1.2  2006/05/23 13:21:12  jorpiell
 * Modificado el datasource para capturar las excepciones de parseo
 *
 * Revision 1.1  2006/05/23 08:06:40  jorpiell
 * Clase que antiguamente se llamaba DataStore
 *
 * Revision 1.2  2006/05/19 12:47:21  jorpiell
 * DataStore que usa geotools. La clase datastore de geotools es abstracta, por lo que tenemos que crear esta clase que hereda de ella
 *
 * Revision 1.1  2006/05/19 12:45:47  jorpiell
 * DataStore que usa geotools. La clase datastore de geotools es abstracta, por lo que tenemos que crear esta clase que hereda de ella
 *
 *
 */
/**
 * @author Jorge Piera Llodr (piera_jor@gva.es)
 */
public class WFSDataStore extends org.geotools.data.wfs.WFSDataStore{

	public WFSDataStore(URL url, Boolean getProtocol, String user, String password, int timeOut, int buffer) throws SAXException, IOException {
		super(url, getProtocol, user, password, timeOut, buffer);
	}
}
